<?php
/*********************************************************      
WXC2 SP configuration.

*********************************************************/

require("../sub_inc/commfunc.php");
$DEBUG = 0;

//==========================================================
//±äÁ¿¶¨Òå
//==========================================================

//Spname
{
	$tmpobj	= 'OBJ_222';
	$tmpparam = 'param_99';
	$tmpoid = '2.4.1';
	$objWhereStr = getLevelWhere($tmpoid);
	$paramSql = " SELECT initValue,readValue,instanceNo FROM $tmpparam  
				WHERE subSysNo = '99' AND  $objWhereStr AND instanceNo ='$linkset' 
				";
	$Result  = mysqli_query($pubConn,$paramSql);				
	$Row		 = mysqli_fetch_array($Result);
	$TypeIn	 = getBitValue($Row[initValue],'4.0-4.7');
	$TypeIn  = hexdec($TypeIn);
	$TypeNo	 = getBitValue($Row[initValue],'5.0-5.7');
	$TypeNo  = hexdec($TypeNo);
	if($DEBUG) echo "TypeIn = $TypeIn";
	$Spname = "VSS";
	if($TypeIn != 3){
		$Spname = "Undefined VSS";		
//		echo "$Spname";
//		exit();
	}
	$webname = $Spname;
	$Spname = $Spname."-$TypeNo";
}
$objDB 			= "OBJ_390";
$paramTable 	= 'param_99';

$vms_sysId 		= "390_99_99";
$vms_slctSysId 	= "390_" . $TypeNo . "_0";

$vms_mtp3_sysId = "222_8_" . $TypeNo;
$vms_mtp3_slctSysId = "-1";

$mtp3_sysId 	= "222_99_99";
$mtp3_slctSysId = "-1";

$msc_sysId 		= "322_99_99";
$msc_slctSysId 	= "-1";

$vms_sccp_sysId = "223_8_" . $TypeNo;
$vms_sccp_slctSysId = "-1";

$iptrans_sysId 	= "221_0_".$TypeNo;
if(0)
{
	checkDevices(390);
	$vms_sccpOidArr=array(
		array('oid'=>'2.1.8',		'sysid'=> $vms_sccp_sysId,	'selectsysid'=> $vms_sccp_slctSysId)										
	);

	$vms_oidsysArr=array
	(
		array('oid' => '2.2.1',			'sysid' => $vms_sysId,		'selectsysid' => $vms_slctSysId),										
	);
	GetParam($vms_oidsysArr);
	GetParam($vms_sccpOidArr);
}
echo "<input type=\"hidden\" name=\"linkset\" value=\"$linkset\">";
echo "<input type=\"hidden\" name=\"trunkgp\" value=\"$trunkgp\">";


if($DEBUG) exit();
echo "<script LANGUAGE=\"JavaScript\">";
echo " location='./VSSconf.php?infoNo=$infoNo&trunkgp=$trunkgp&linkset=$linkset&page_top=$page_top';";
echo "</script>";

exit();
?>